-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

ChampionClass = class();

function ChampionClass:Constructor()
	configHelper:RegisterBarCreator( "Stances", 	 "Stance",	self.Stance );
	configHelper:RegisterBarCreator( "Tier1 Skills", "Tier1", 	self.Tier1 );
	configHelper:RegisterBarCreator( "Tier2 Skills", "Tier2", 	self.Tier2 );
	configHelper:RegisterBarCreator( "Tier3 Skills", "Tier3", 	self.Tier3 );
	configHelper:RegisterBarCreator( "Tier4 Skills", "Tier4", 	self.Tier4 );
	configHelper:RegisterBarCreator( "Tier5 Skills", "Tier5", 	self.Tier5 );
	configHelper:ConstructBars();
end

function ChampionClass:Stance( override )
	configHelper:CreateBar( override, "Stance", 4, 1, 3, 240, 300 );
	configHelper:SetBuffTriggerOptions( false, false );
	configHelper:SetTrigger( ConfigurationHelper.CTRL );
	configHelper:SetBuffTrigger( "Champion's Fervour" );
	configHelper:SetBuffTrigger( "Glory" );
	configHelper:SetBuffTrigger( "Ardour" );
	configHelper:SetBGColor( 0.35, 1, 0, 0 );
	configHelper:AddShortcut( 1, "0x70003DFF", 6, 4 );
	configHelper:AddShortcut( 2, "0x7000D46C", 6, 10 );
	configHelper:AddShortcut( 3, "0x7000967C", 6, 30 );
end

function ChampionClass:Tier1( override )
	configHelper:CreateBar( override, "Tier1", 18, 1, 3, 240, 350 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Tier1" );
	configHelper:SetClassRangeTrigger( CHAMPION_FERVOR, 1, 5);
	configHelper:AddShortcut( 1, "0x70003E06", 6, 18 );
	configHelper:AddShortcut( 2, "0x70003E0C", 6, 32 );
	configHelper:AddShortcut( 3, "0x70003E0E", 6, 36 );
end

function ChampionClass:Tier2( override )
	configHelper:CreateBar( override, "Tier2", 4, 1, 4, 240, 400 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Tier2" );
	configHelper:SetClassRangeTrigger( CHAMPION_FERVOR, 2, 5);
	configHelper:AddShortcut( 1, "0x70003E00", 6, 4 );
	configHelper:AddShortcut( 2, "0x70003E02", 6, 8 );
	configHelper:AddShortcut( 3, "0x70009E5C", 6, 42 );
	configHelper:AddShortcut( 4, "0x7000F660", 6, 54 );
end

function ChampionClass:Tier3( override )
	configHelper:CreateBar( override, "Tier3", 14, 1, 2, 240, 450 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Tier3" );
	configHelper:SetClassRangeTrigger( CHAMPION_FERVOR, 3, 5);
	configHelper:AddShortcut( 1, "0x70003E04", 6, 14 );
	configHelper:AddShortcut( 2, "0x7000F661", 6, 52 );
end

function ChampionClass:Tier4( override )
	configHelper:CreateBar( override, "Tier4", 6, 1, 4, 240, 500 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Tier4" );
	configHelper:SetClassRangeTrigger( CHAMPION_FERVOR, 4, 5);
	configHelper:AddShortcut( 1, "0x70003E01", 6, 6 );
	configHelper:AddShortcut( 2, "0x70003E03", 6, 10 );
	configHelper:AddShortcut( 3, "0x70009E5B", 6, 44 );
	configHelper:AddShortcut( 4, "0x7001F4B3", 6, 62 );
end

function ChampionClass:Tier5( override )
	configHelper:CreateBar( override, "Tier5", 6, 1, 2, 240, 550 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Tier5" );
	configHelper:SetClassRangeTrigger( CHAMPION_FERVOR, 5, 5);
	configHelper:AddShortcut( 1, "0x70003E0D", 6, 34 );
	configHelper:AddShortcut( 2, "0x7000F70C", 6, 58 );
end