-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Tonic.TonicBars.DefaultConfiguration.Burglar"
import "Tonic.TonicBars.DefaultConfiguration.Captain"
import "Tonic.TonicBars.DefaultConfiguration.Champion"
import "Tonic.TonicBars.DefaultConfiguration.Guardian"
import "Tonic.TonicBars.DefaultConfiguration.Hunter"
import "Tonic.TonicBars.DefaultConfiguration.LoreMaster"
import "Tonic.TonicBars.DefaultConfiguration.Minstrel"
import "Tonic.TonicBars.DefaultConfiguration.RuneKeeper"
import "Tonic.TonicBars.DefaultConfiguration.Warden"

MainConfig = class();

function MainConfig:Constructor()
	self.Warden = 194;
	local p2 = Turbine.Gameplay.LocalPlayer.GetInstance();
	eventManager.AddCallback( self, p2, "LevelChanged", function( sender, args )
		self:CheckConfiguration();
		maitre_d:LoadQuickslots();
		maitre_d:RefreshBars();
	end);
	
	local configSettings = theSettingsManager:GetSettings();
	if ( configSettings.defaultsCreated == nil and #theSettingsManager:GetBars() == 0) then
		configSettings.defaultsCreated = true;
		self:CheckConfiguration();
		maitre_d:LoadQuickslots();
		maitre_d:RefreshBars();
	end
end

function MainConfig:CheckConfiguration()
	configHelper:SetPlayerLevel( player:GetLevel() );

	-- Create Quickslot Bar        Name - Rows - Columns
	-- configHelper:CreateBar( "Health", nil, 5, 1, 200, 200 );
	-- configHelper:SetTrigger( ConfigurationHelper.HEALTH, 95 );
	-- configHelper:AddShortcut( 4, "0x70003E7F", 6 );

	if ( playerClass == Turbine.Gameplay.Class.Burglar ) then
		Tonic.TonicBars.DefaultConfiguration.BurglarClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Captain ) then
		Tonic.TonicBars.DefaultConfiguration.CaptainClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Champion ) then
		Tonic.TonicBars.DefaultConfiguration.ChampionClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Guardian ) then
		Tonic.TonicBars.DefaultConfiguration.GuardianClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Hunter ) then
		Tonic.TonicBars.DefaultConfiguration.HunterClass();
	elseif ( playerClass == Turbine.Gameplay.Class.LoreMaster ) then
		Tonic.TonicBars.DefaultConfiguration.LoreMasterClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Minstrel ) then
		Tonic.TonicBars.DefaultConfiguration.MinstrelClass();
	elseif ( playerClass == Turbine.Gameplay.Class.RuneKeeper ) then
		Tonic.TonicBars.DefaultConfiguration.RuneKeeperClass();
	elseif ( playerClass == self.Warden ) then
		Tonic.TonicBars.DefaultConfiguration.WardenClass();
	end
	theSettingsManager:SaveSettings();
	maitre_d:LoadQuickslots();
	maitre_d:RefreshBars();
end