-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

MinstrelClass = class();

function MinstrelClass:Constructor()
	configHelper:RegisterBarCreator( "War-Speech Skills", 		"War-speech", 	self.WarSpeech );
	configHelper:RegisterBarCreator( "Tier2 Skills", 			"Tier2", 		self.Tier2 );
	configHelper:RegisterBarCreator( "Tier3 Skills", 			"Tier3", 		self.Tier3 );
	configHelper:RegisterBarCreator( "Anthem Skills", 			"Anthems", 		self.Anthems );
	configHelper:RegisterBarCreator( "Scribe Stance Skills", 	"Scribe Stance", 		self.Scribe );
	configHelper:ConstructBars();
end

function MinstrelClass:WarSpeech( override )
	configHelper:CreateBar( override, "War-speech", 14, 1, 3, 240, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "War-speech" );
	configHelper:AddShortcut( 1, "0x7000B69A", 6, 14 );
	configHelper:AddShortcut( 2, "0x7000B69B", 6, 34 );
	configHelper:AddShortcut( 3, "0x7000F250", 6, 56 );
end

function MinstrelClass:Tier2( override )
	configHelper:CreateBar( override, "Tier2", 2, 1, 3, 240, 350 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Ballad Tier 1" );
	configHelper:AddShortcut( 1, "0x70003E7F", 6, 2 );
	configHelper:AddShortcut( 2, "0x70003E83", 6, 12 );
	configHelper:AddShortcut( 3, "0x70003E8F", 6, 36 );
end

function MinstrelClass:Tier3( override )
	configHelper:CreateBar( override, "Tier3", 6, 1, 3, 240, 400 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Ballad Tier 2" );
	configHelper:AddShortcut( 1, "0x70003E80", 6, 6 );
	configHelper:AddShortcut( 2, "0x7000317F", 6, 8 );
	configHelper:AddShortcut( 3, "0x70003E8D", 6, 32 );
end

function MinstrelClass:Anthems( override )
	configHelper:CreateBar( override, "Anthems", 18, 1, 4, 240, 450 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Ballad Tier 3" );
	configHelper:AddShortcut( 1, "0x70003E88", 6, 18 );	-- Anthem of the Free Peoples
	configHelper:AddShortcut( 2, "0x70003E8A", 6, 24 );	-- Anthem of Compassion
	configHelper:AddShortcut( 3, "0x70003184", 6, 40 );	-- Anthem of the Valar
	configHelper:AddShortcut( 4, "0x70001270", 6, 41 );	-- Anthem of the Wizards
end

function MinstrelClass:Scribe( override )
	configHelper:CreateBar( override, "Scribe Stance", 30, 1, 3, 240, 500 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Scribe Stance" );
	configHelper:AddShortcut( 1, "0x7000C787", 6 );
	configHelper:AddShortcut( 2, "0x7000C788", 6 );
	configHelper:AddShortcut( 3, "0x7000C78B", 6 );
end