-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

RuneKeeperClass = class();

function RuneKeeperClass:Constructor()
	configHelper:RegisterBarCreator( "Restoration Skill", 			"Restoration", 	self.Restoration );
	configHelper:RegisterBarCreator( "DPS Attonement Skill", 		"Attun 1-10", 	self.Attun110 );
	configHelper:RegisterBarCreator( "Healing Attonement Skill", 	"Attun 10-19", 	self.Attun1019 );
	configHelper:RegisterBarCreator( "3 DPS Attonement, Skills", 	"Attun 7", 		self.Attun7 );
	configHelper:RegisterBarCreator( "6 DPS Attonement, Skills", 	"Attun 4", 		self.Attun4 );
	configHelper:RegisterBarCreator( "Full DPS Attonement, Skills", "Attun 1", 		self.Attun1 );
	configHelper:RegisterBarCreator( "3 Heal Attonement Skills", 	"Attun 13", 		self.Attun13 );
	configHelper:RegisterBarCreator( "6 Heal Attonement Skills", 	"Attun 16", 		self.Attun16 );
	configHelper:RegisterBarCreator( "Full Heal Attonement Skills", "Attun 19", 		self.Attun19 );
	configHelper:ConstructBars();
end

function RuneKeeperClass:Restoration( override )
	configHelper:CreateBar( override, "Restoration", 4, 1, 1, 240, 350 );
	configHelper:SetBuffTriggerOptions( false, false );
	configHelper:SetTrigger( ConfigurationHelper.CTRL );
	configHelper:SetBuffTrigger( "Rune of Restoration" );
	configHelper:SetBGColor( 0.35, 1, 0, 0 );
	configHelper:AddShortcut( 1, "0x7000EEA5", 6, 4 );
end

function RuneKeeperClass:Attun7( override )
	configHelper:CreateBar( override, "Attun 7", 2, 5, 1, 468, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 1, 7);
	configHelper:AddShortcut( 1, "0x7000EEAE", 6, 2 );
	configHelper:AddShortcut( 2, "0x7000EE00", 6, 12 );
	configHelper:AddShortcut( 3, "0x7000EEAB", 6, 16 );
	configHelper:AddShortcut( 4, "0x7000EDFF", 6, 38 );
	configHelper:AddShortcut( 5, "0x700180F5", 6, 60 );
end

function RuneKeeperClass:Attun4( override )
	configHelper:CreateBar( override, "Attun 4", 24, 6, 1, 429, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 1, 4);
	configHelper:AddShortcut( 1, "0x7000EE01", 6, 24 );
	configHelper:AddShortcut( 2, "0x7000E969", 6, 28 );
	configHelper:AddShortcut( 3, "0x70024D3A", 6, 30 );
	configHelper:AddShortcut( 4, "0x7000EFEF", 6, 36 );
	configHelper:AddShortcut( 5, "0x70024D39", 6, 50 );
	configHelper:AddShortcut( 6, "0x700180F9", 6, 56 );
end

function RuneKeeperClass:Attun1( override )
	configHelper:CreateBar( override, "Attun 1", 20, 3, 1, 387, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 1, 1);
	configHelper:AddShortcut( 1, "0x7000EEAF", 6, 20 );
	configHelper:AddShortcut( 2, "0x7000EE03", 6, 32 );
	configHelper:AddShortcut( 3, "0x7000E96D", 6, 40 );
end

function RuneKeeperClass:Attun1019( override )
	configHelper:CreateBar( override, "Attun 10-19", 1, 1, 1, 508, 336 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 10, 19);
	configHelper:AddShortcut( 1, "0x7000EEA8", 6, 1 );
end

function RuneKeeperClass:Attun13( override )
	configHelper:CreateBar( override, "Attun 13", 12, 2, 1, 547, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 13, 19);
	configHelper:AddShortcut( 1, "0x7000EEA9", 6, 12 );
	configHelper:AddShortcut( 2, "0x7000EEA4", 6, 14 );
end

function RuneKeeperClass:Attun16( override )
	configHelper:CreateBar( override, "Attun 16", 18, 3, 1, 585, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 16, 19);
	configHelper:AddShortcut( 1, "0x7000EEA6", 6, 18 );
	configHelper:AddShortcut( 2, "0x7000EEA7", 6, 28 );
	configHelper:AddShortcut( 3, "0x700180F7", 6, 58 );
end

function RuneKeeperClass:Attun19( override )
	configHelper:CreateBar( override, "Attun 19", 41, 3, 1, 623, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 19, 19);
	configHelper:AddShortcut( 1, "0x70018636", 6, 42 );
	configHelper:AddShortcut( 2, "0x70018776", 6, 54 );
	configHelper:AddShortcut( 3, "0x700180F4", 6, 41 );
end

function RuneKeeperClass:Attun110( override )
	configHelper:CreateBar( override, "Attun 1-10", 1, 1, 1, 508, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( RK_ATTUNEMENT, 1, 10);
	configHelper:AddShortcut( 1, "0x7000E96B", 6, 1 );
end